%define name speedtouch
%define version 0.9
%define release 1

Summary: ALCATEL SpeedTouch USB ADSL modem user-space driver
Name: %{name}
Version:%{version}
Release: %{release}
Source: http://speedtouch.sf.net/speedtouch-%{version}.tar.bz2
URL: http://speedtouch.sf.net
Copyright: GPL
Group: System/Kernel and hardware
Prefix: %{_prefix}
BuildRoot: %{_builddir}/%{name}-build

%description
ALCATEL SpeedTouch USB ADSL modem user-space driver. This package contains 
all the necessary software to use your SpeedTouch USB modem under Linux. It
currently support only PPPoA encapsulation.

%prep
%setup

%build
./configure --prefix=%{buildroot}/usr --mandir=%{buildroot}/usr/share/man --datadir=%{buildroot}/usr/share --sysconfdir=%{buildroot}/etc --enable-install=$LOGNAME 
make

%install
rm -rf $RPM_BUILD_ROOT
make install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/sbin/pppoactl
/usr/sbin/pppoa
/etc/init.d/speedtouch
%doc /usr/share/doc/speedtouch/
%doc /usr/share/man/man1/pppoactl.1.bz2
%doc /usr/share/man/man1/pppoa.1.bz2


# Post install script
%post

# Attempt to create a speedtouch.conf
if [ "$1" = "1" ] ; then  # first install
   if [ ! -f /etc/speedtouch.conf ]; then
         echo "#Speedtouch config file - see /usr/share/doc/speedtouch/speedtouch.conf" > /etc/speedtouch.conf
   fi
fi

# Install the speedtouch service

chkconfig speedtouch on


%changelog
* Mon Mar 11 2002 Alex Bennee <alex@bennee.com> First working version (?for 1.1 release)
* Mon Apr  9 2001 Benoit PAPILLAULT <benoit.papillault@free.fr> VERSION-1mdk
- 


# end of file
